\name{sprayECL}
\alias{sprayECL}

\title{
  This class is used to Spray/Distribute the data across all nodes
}
\description{
   This class contains fileds/methods that are used to upload the file(data) from the landing zone to the cluster.
}
\usage{
  //  CODE TO SPRAY FIXED LENGTH FILE
  host <- '192.168.217.132';
  spray <- sprayECL$new(name="SprayFIXED")
  spray$addField("fileType", "fixed")
  spray$addField("ip", host)
  spray$addField("recordSize", "301")
  spray$addField("clustername", "mythor")
  spray$addField("filePath", "/var/lib/HPCCSystems/mydropzone/Urinary_Cancer.txt")
  spray$addField("logicalFileName", "~seer::incidence::urinary_cancer")
  ecl <- ECL$new(hostName= host, port="8010")
  ecl$add(spray)
  ecl$print()
  ecl$execute()

  //  CODE TO SPRAY VARIABLE LENGTH FILE

  host <- '192.168.217.132';
  spray <- sprayECL$new(name="SprayCSV")
  spray$addField("fileType", "csv")
  spray$addField("ip", host)
  spray$addField("clustername", "mythor")
  spray$addField("filePath", "/var/lib/HPCCSystems/mydropzone/State_FIPS_Codes.csv")
  spray$addField("logicalFileName", "~seer::statefipscode")
  ecl <- ECL$new(hostName= host, port="8010")
  ecl$add(spray)
  ecl$print()
  ecl$execute()
}

\references{
  HPCC Systems (http://hpccsystems.com)
  ECL Language Reference (http://hpccsystems.com/download/docs/ecl-language-reference)
}

\examples{
  \dontrun{
     //  CODE TO SPRAY FIXED LENGTH FILE
    host <- '192.168.217.132';
    spray <- sprayECL$new(name="SprayFIXED")
    spray$addField("fileType", "fixed")
    spray$addField("ip", host)
    spray$addField("recordSize", "301")
    spray$addField("clustername", "mythor")
    spray$addField("filePath", "/var/lib/HPCCSystems/mydropzone/Urinary_Cancer.txt")
    spray$addField("logicalFileName", "~seer::incidence::urinary_cancer")
    ecl <- ECL$new(hostName= host, port="8010")
    ecl$add(spray)
    ecl$print()
    ecl$execute()
  
    //  CODE TO SPRAY VARIABLE LENGTH FILE
  
    host <- '192.168.217.132';
    spray <- sprayECL$new(name="SprayCSV")
    spray$addField("fileType", "csv")
    spray$addField("ip", host)
    spray$addField("clustername", "mythor")
    spray$addField("filePath", "/var/lib/HPCCSystems/mydropzone/State_FIPS_Codes.csv")
    spray$addField("logicalFileName", "~seer::statefipscode")
    ecl <- ECL$new(hostName= host, port="8010")
    ecl$add(spray)
    ecl$print()
    ecl$execute()
  }
}
